#
# Spec file for prolinga-soap
#
Summary: 	Set of SOAP libraries to send/receive XML documents in the libxml2 format.
Name: 		prolinga-soap
Version: 	0.0.3
Release: 	1.fc11.xobas
License: 	GPL
Group:		System Environment/Libraries
Source: 	http://download.prolinga.org/main/sources/%{name}-%{version}.tar.bz2
URL: 		http://www.xobas.com/
Vendor: 	Xobas Software
Packager: 	Bas Driessen <bas.driessen@xobas.com>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	libxml2 >= 2.6.5

%description
The ProLinga-Soap Project is a project that focuses
on the development of a set of SOAP (1.2) client 
and service libraries. These libraries, after 
implementing, enable any application to send and 
receive XML request and XML response documents 
using the libxml2 format.

%package devel
Summary:	Development libraries and header files for prolinga-soap.
Group:		Development/Libraries
Requires:	%name = %{version}
Requires: 	libxml2 >= 2.6.5
Requires: 	libxml2-devel >= 2.6.5

%description devel
This package contains the header files and libraries needed to write
or compile programs that use prolinga-soap.

%prep
%setup -q

%build
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}
make
make html

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
# update library links.
/sbin/ldconfig

%postun
# update library links.
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%doc doc/html
%{_bindir}/prolingasoapclienttest
%{_bindir}/prolingasoapservertest
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc doc/*.xml doc/*.xsl doc/*.txt
%{_includedir}/prolinga
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Aug 24 2009 Bas Driessen <bas.driessen@xobas.com> 0.0.3-1.fc11
- Build for Fedora 11.
- Update to new upstream release.

* Tue May 20 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc9
- Build for Fedora 9.

* Sat Mar 22 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc8
- Initial spec file.


